#/usr/bin/perl -w

use strict;
use Gtk2::TestHelper tests => 8;
use Gtk2::Ex::Sheet;

my $entry = Gtk2::Ex::Sheet::ItemEntry->new;
isa_ok ($entry, 'Gtk2::Ex::Sheet::ItemEntry');
isa_ok ($entry, 'Gtk2::Entry');

$entry = Gtk2::Ex::Sheet::ItemEntry->new_with_max_length (50);
isa_ok ($entry, 'Gtk2::Ex::Sheet::ItemEntry');
isa_ok ($entry, 'Gtk2::Entry');
is ($entry->get_max_length, 50);

$entry->set_text ("here's some text", 'center');

$entry->set_justification ('right');
is ($entry->get_justification, 'right');

$entry->set_cursor_visible (FALSE);
ok (!$entry->get_cursor_visible);
$entry->set_cursor_visible (TRUE);
ok ($entry->get_cursor_visible);
