/* GtkItemEntry - widget for gtk+
 * Copyright (C) 1999-2001 Adrian E. Feiguin <adrian@ifir.ifir.edu.ar>
 * Copyright (C) 1995-1997 Peter Mattis, Spencer Kimball and Josh MacDonald
 *
 * GtkItemEntry widget by Adrian E. Feiguin
 * Based on GtkEntry widget 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "gtksheetperl.h"

MODULE = Gtk2::Ex::Sheet::ItemEntry	PACKAGE = Gtk2::Ex::Sheet::ItemEntry	PREFIX = gtk_item_entry_

 ### how does this play with gtk_entry_get_max_length()?:
gint
get_max_size (GtkItemEntry * entry)
    CODE:
	RETVAL = entry->text_max_size;
    OUTPUT:
	RETVAL

GtkJustification
get_justification (GtkItemEntry * entry)
    CODE:
	RETVAL = entry->justification;
    OUTPUT:
	RETVAL



GtkWidget* gtk_item_entry_new (class);
    C_ARGS:
	/*void*/

GtkWidget* gtk_item_entry_new_with_max_length (class, gint max);
    C_ARGS:
	max

void gtk_item_entry_set_text (GtkItemEntry *item_entry, const gchar *text, GtkJustification justification);

void gtk_item_entry_set_justification (GtkItemEntry *item_entry, GtkJustification justification);

void gtk_item_entry_set_cursor_visible (GtkItemEntry *entry, gboolean visible);

gboolean gtk_item_entry_get_cursor_visible (GtkItemEntry *entry);
